diff a/test/hotspot/gtest/oops/test_markWord.cpp b/test/hotspot/gtest/oops/test_markWord.cpp
--- a/test/hotspot/gtest/oops/test_markWord.cpp
+++ b/test/hotspot/gtest/oops/test_markWord.cpp
@@ -89,11 +89,15 @@
   }
   assert_test_pattern(h_obj, "is_unlocked no_hash");
 
   // Hash the object then print it.
   intx hash = h_obj->identity_hash();
-  assert_test_pattern(h_obj, "is_unlocked hash=0x");
+  if (UseCompactObjectHeaders) {
+    assert_test_pattern(h_obj, "is_unlocked hash is-hashed=true is-copied=false");
+  } else {
+    assert_test_pattern(h_obj, "is_unlocked hash=0x");
+  }
 
   // Wait gets the lock inflated.
   {
     ObjectLocker ol(h_obj, THREAD);
 
